###  | #  |

Public Types | Public Member Functions | List of all members
channel_converter< SrcChannelV, DstChannelV > Struct Template Reference
Channel » Algorithms and Utility Functions » channel_convert

A unary function object converting between channel types. More...

`#include <channel_algorithm.hpp>`

## Public Types
using | argument_type = SrcChannelV
using | result_type = DstChannelV

## Public Member Functions
auto | operator() (SrcChannelV const &src) const -> DstChannelV

## Detailed Description

template<typename SrcChannelV, typename DstChannelV>
struct boost::gil::channel_converter< SrcChannelV, DstChannelV >

A unary function object converting between channel types.

The documentation for this struct was generated from the following file:

- channel_algorithm.hpp